Package org.spongepowered.asm.mixin.injection.callback

## Interface Cancellable

All Known Implementing Classes:
  `CallbackInfo`, `CallbackInfoReturnable`

    public interface Cancellable

Interface for things which can be cancelled

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `cancel()` If the object is cancellable, cancels the object, implementors may throw an EventCancellationException if the object is not actually cancellable.
`boolean` `isCancellable()` Get whether this is actually cancellable
`boolean` `isCancelled()` Get whether this is cancelled

### Method Detail

#### isCancellable

    boolean isCancellable()

Get whether this is actually cancellable

Returns:
  whether this is actually cancellable

#### isCancelled

    boolean isCancelled()

Get whether this is cancelled

Returns:
  whether this is cancelled

#### cancel

    void cancel()
         throws CancellationException

If the object is cancellable, cancels the object, implementors may throw an EventCancellationException if the object is not actually cancellable.

Throws:
  `CancellationException` - (optional) may be thrown if the object is not actually cancellable. Contractually, this object may not throw the exception if isCancellable() returns true.